Subject: Re: bug#67734: 30.0.50; Don't mention `set` in the ELisp intro

From: Stefan Kangas <[email-masked]>
Date: Thu, 14 Dec 2023 14:30:45 -0800

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> The ELisp intro needs to be updated to the world of static scoping.
> I haven't really looked at doing that, but the patch below can be
> considered as a step in that direction.
> In any case, I think it's a good change on its own.
>
> It removes all mentions of the `set` function.
> `set` cannot be used on statically scoped variables and I can't see what
> it brings to the reader of the ELisp intro (except maybe for explaining
> the "q" in `setq`) to first tell them about `set` only to turn around
> and tell them they'll never use it.
>
> Suggestions for improvements welcome,

LGTM.  If it's worth doing, it should be worth doing also on emacs-29, I
think.  Is it worth reflowing the paragraphs before installing though?